/*===========================================================================*/
/*   (Llib/gstbuffer.scm)                                                    */
/*   Bigloo (4.4a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 09 Nov 2020 08:06:47 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4a/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -copt -fPIC -copt -IClib Llib/gstbuffer.scm -o objs/gstbuffer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2bufferzd2_bgl {
   header_t header;
   obj_t widening;
   GstBuffer * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
} *BgL_gstzd2bufferzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_gstzd2bufferzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31212ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstbufferz00();
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gstbufferz00(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstbufferz00();
static obj_t BGl_z62zc3z04anonymousza31162ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31094ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31167ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_gst_buffer_new(GstBuffer *, obj_t);
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00();
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstbufferz00();
static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstbufferz00(obj_t);
static obj_t BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31225ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31154ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31155ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static BgL_gstzd2bufferzd2_bglt BGl_z62lambda1109z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static BgL_gstzd2bufferzd2_bglt BGl_z62lambda1112z62zz__gstreamer_gstbufferz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31174ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62lambda1132z62zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62lambda1133z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31175ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1142z62zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1143z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstbufferz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00();
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 16 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1300z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1323za7, BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1301z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1324za7, BGl_z62zc3z04anonymousza31193ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1302z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1325za7, BGl_z62zc3z04anonymousza31203ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1303z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1326za7, BGl_z62zc3z04anonymousza31206ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1304z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1327za7, BGl_z62zc3z04anonymousza31212ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1305z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1328za7, BGl_z62zc3z04anonymousza31225ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1306z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1329za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1307z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1330za7, BGl_z62zc3z04anonymousza31261ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1308z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1331za7, BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1309z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1112za7621332z00, BGl_z62lambda1112z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1310z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1109za7621333z00, BGl_z62lambda1109z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2bufferzd2envz90zz__gstreamer_gstbufferz00, BgL_bgl_za762za742makeza7d2gst1334za7, BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1276z00zz__gstreamer_gstbufferz00, BgL_bgl_string1276za700za7za7_1335za7, "/builddir/build/BUILD/bigloo-4.4a/api/gstreamer/src/Llib/gstbuffer.scm", 70 );
DEFINE_STRING( BGl_string1277z00zz__gstreamer_gstbufferz00, BgL_bgl_string1277za700za7za7_1336za7, "&$make-gst-buffer", 17 );
DEFINE_STRING( BGl_string1278z00zz__gstreamer_gstbufferz00, BgL_bgl_string1278za700za7za7_1337za7, "void*", 5 );
DEFINE_STRING( BGl_string1279z00zz__gstreamer_gstbufferz00, BgL_bgl_string1279za700za7za7_1338za7, "Illegal gst-buffer", 18 );
DEFINE_STRING( BGl_string1281z00zz__gstreamer_gstbufferz00, BgL_bgl_string1281za700za7za7_1339za7, "&%gst-buffer-init", 17 );
DEFINE_STRING( BGl_string1282z00zz__gstreamer_gstbufferz00, BgL_bgl_string1282za700za7za7_1340za7, "gst-buffer", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2bufferzd2initzd2envz80zz__gstreamer_gstbufferz00, BgL_bgl_za762za752gstza7d2buff1341za7, BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1311z00zz__gstreamer_gstbufferz00, BgL_bgl_string1311za700za7za7_1342za7, "__gstreamer_gstbuffer", 21 );
DEFINE_STRING( BGl_string1312z00zz__gstreamer_gstbufferz00, BgL_bgl_string1312za700za7za7_1343za7, "__gstreamer_gstbuffer gst-buffer duration timestamp pts llong dts string data long size obj $finalizer $gst-buffer $builtin %gst-buffer-init ", 141 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1280z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1344za7, BGl_z62zc3z04anonymousza31094ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1283z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1345za7, BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1284z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1133za7621346z00, BGl_z62lambda1133z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1285z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1132za7621347z00, BGl_z62lambda1132z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1286z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1348za7, BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1287z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1143za7621349z00, BGl_z62lambda1143z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1288z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1142za7621350z00, BGl_z62lambda1142z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1289z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1351za7, BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1290z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1352za7, BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1291z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1353za7, BGl_z62zc3z04anonymousza31155ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1292z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1354za7, BGl_z62zc3z04anonymousza31154ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1293z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1355za7, BGl_z62zc3z04anonymousza31162ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1294z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1356za7, BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1295z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1357za7, BGl_z62zc3z04anonymousza31168ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1296z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1358za7, BGl_z62zc3z04anonymousza31167ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1297z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1359za7, BGl_z62zc3z04anonymousza31175ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1298z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1360za7, BGl_z62zc3z04anonymousza31174ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1299z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1361za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstbufferz00(long BgL_checksumz00_434, char * BgL_fromz00_435)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstbufferz00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gstbufferz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstbuffer"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_cportz00_398;
{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_stringz00_406;
BgL_stringz00_406 = BGl_string1312z00zz__gstreamer_gstbufferz00; 
{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_startz00_407;
BgL_startz00_407 = 
BINT(((long)0)); 
{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_endz00_408;
BgL_endz00_408 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_406))); 
{ /* Llib/gstbuffer.scm 15 */

BgL_cportz00_398 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_406, BgL_startz00_407, BgL_endz00_408); } } } } 
{ 
long BgL_iz00_399;
BgL_iz00_399 = ((long)15); 
BgL_loopz00_400:
if(
(BgL_iz00_399==((long)-1)))
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_arg1321z00_402;
{ /* Llib/gstbuffer.scm 15 */

{ /* Llib/gstbuffer.scm 15 */
obj_t BgL_locationz00_404;
BgL_locationz00_404 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstbuffer.scm 15 */

BgL_arg1321z00_402 = 
BGl_readz00zz__readerz00(BgL_cportz00_398, BgL_locationz00_404); } } } 
{ /* Llib/gstbuffer.scm 15 */
int BgL_tmpz00_461;
BgL_tmpz00_461 = 
(int)(BgL_iz00_399); 
CNST_TABLE_SET(BgL_tmpz00_461, BgL_arg1321z00_402); } } 
{ /* Llib/gstbuffer.scm 15 */
int BgL_auxz00_405;
BgL_auxz00_405 = 
(int)(
(BgL_iz00_399-((long)1))); 
{ 
long BgL_iz00_466;
BgL_iz00_466 = 
(long)(BgL_auxz00_405); 
BgL_iz00_399 = BgL_iz00_466; 
goto BgL_loopz00_400;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* $make-gst-buffer */
BGL_EXPORTED_DEF obj_t bgl_gst_buffer_new(GstBuffer * BgL_bufferz00_3, obj_t BgL_finaliza7erza7_4)
{
{ /* Llib/gstbuffer.scm 71 */
{ /* Llib/gstbuffer.scm 72 */
BgL_gstzd2bufferzd2_bglt BgL_new1055z00_15;
{ /* Llib/gstbuffer.scm 73 */
BgL_gstzd2bufferzd2_bglt BgL_new1054z00_17;
BgL_new1054z00_17 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 73 */
long BgL_arg1081z00_18;
{ /* Llib/gstbuffer.scm 73 */
long BgL_res1266z00_236;
BgL_res1266z00_236 = 
BGL_CLASS_INDEX(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BgL_arg1081z00_18 = BgL_res1266z00_236; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_17), BgL_arg1081z00_18); } 
BgL_new1055z00_15 = BgL_new1054z00_17; } 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1055z00_15))->BgL_z42builtinz42)=((GstBuffer *)BgL_bufferz00_3),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1055z00_15))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
{ /* Llib/gstbuffer.scm 72 */
obj_t BgL_fun1080z00_16;
BgL_fun1080z00_16 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
PROCEDURE_ENTRY(BgL_fun1080z00_16)(BgL_fun1080z00_16, 
((obj_t)BgL_new1055z00_15), BEOA); } 
return 
((obj_t)BgL_new1055z00_15);} } 

}



/* &$make-gst-buffer */
obj_t BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00(obj_t BgL_envz00_293, obj_t BgL_bufferz00_294, obj_t BgL_finaliza7erza7_295)
{
{ /* Llib/gstbuffer.scm 71 */
{ /* Llib/gstbuffer.scm 72 */
GstBuffer * BgL_auxz00_482;
if(
FOREIGNP(BgL_bufferz00_294))
{ /* Llib/gstbuffer.scm 72 */
BgL_auxz00_482 = 
FOREIGN_TO_COBJ(BgL_bufferz00_294)
; }  else 
{ 
obj_t BgL_auxz00_486;
BgL_auxz00_486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1276z00zz__gstreamer_gstbufferz00, 
BINT(((long)2708)), BGl_string1277z00zz__gstreamer_gstbufferz00, BGl_string1278z00zz__gstreamer_gstbufferz00, BgL_bufferz00_294); 
FAILURE(BgL_auxz00_486,BFALSE,BFALSE);} 
return 
bgl_gst_buffer_new(BgL_auxz00_482, BgL_finaliza7erza7_295);} } 

}



/* %gst-buffer-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_gstzd2bufferzd2_bglt BgL_oz00_5)
{
{ /* Llib/gstbuffer.scm 79 */
{ /* Llib/gstbuffer.scm 81 */
bool_t BgL_test1366z00_491;
{ /* Llib/gstbuffer.scm 81 */
GstBuffer * BgL_tmpz00_492;
BgL_tmpz00_492 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_test1366z00_491 = 
(bool_t)!(BgL_tmpz00_492); } 
if(BgL_test1366z00_491)
{ /* Llib/gstbuffer.scm 82 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1084z00_22;
{ /* Llib/gstbuffer.scm 82 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1058z00_23;
{ /* Llib/gstbuffer.scm 82 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1057z00_26;
BgL_new1057z00_26 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gstbuffer.scm 82 */
long BgL_arg1087z00_27;
{ /* Llib/gstbuffer.scm 82 */
long BgL_res1267z00_240;
BgL_res1267z00_240 = 
BGL_CLASS_INDEX(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BgL_arg1087z00_27 = BgL_res1267z00_240; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_26), BgL_arg1087z00_27); } 
BgL_new1058z00_23 = BgL_new1057z00_26; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_503;
{ /* Llib/gstbuffer.scm 82 */
obj_t BgL_arg1085z00_24;
{ /* Llib/gstbuffer.scm 82 */
obj_t BgL_arg1086z00_25;
{ /* Llib/gstbuffer.scm 82 */
obj_t BgL_res1268z00_244;
{ /* Llib/gstbuffer.scm 82 */
obj_t BgL_classz00_243;
BgL_classz00_243 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_res1268z00_244 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_243); } 
BgL_arg1086z00_25 = BgL_res1268z00_244; } 
BgL_arg1085z00_24 = 
VECTOR_REF(BgL_arg1086z00_25,((long)2)); } 
BgL_auxz00_503 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1085z00_24); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_stackz00)=((obj_t)BgL_auxz00_503),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_msgz00)=((obj_t)BGl_string1279z00zz__gstreamer_gstbufferz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_5)),BUNSPEC); 
BgL_arg1084z00_22 = BgL_new1058z00_23; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1084z00_22)); }  else 
{ /* Llib/gstbuffer.scm 81 */BFALSE; } } 
{ /* Llib/gstbuffer.scm 87 */
bool_t BgL_test1367z00_519;
{ /* Llib/gstbuffer.scm 87 */
obj_t BgL_tmpz00_520;
BgL_tmpz00_520 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5); 
BgL_test1367z00_519 = 
PROCEDUREP(BgL_tmpz00_520); } 
if(BgL_test1367z00_519)
{ /* Llib/gstbuffer.scm 89 */
obj_t BgL_arg1091z00_31;
BgL_arg1091z00_31 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_5), BgL_arg1091z00_31); BUNSPEC; }  else 
{ /* Llib/gstbuffer.scm 87 */
if(
CBOOL(
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5)))
{ /* Llib/gstbuffer.scm 90 */
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_5), BGl_proc1280z00zz__gstreamer_gstbufferz00); BUNSPEC; }  else 
{ /* Llib/gstbuffer.scm 90 */BFALSE; } } } 
return 
((obj_t)BgL_oz00_5);} 

}



/* &%gst-buffer-init */
obj_t BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00(obj_t BgL_envz00_297, obj_t BgL_oz00_298)
{
{ /* Llib/gstbuffer.scm 79 */
{ /* Llib/gstbuffer.scm 80 */
BgL_gstzd2bufferzd2_bglt BgL_auxz00_532;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_298, BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00))
{ /* Llib/gstbuffer.scm 80 */
BgL_auxz00_532 = 
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_298)
; }  else 
{ 
obj_t BgL_auxz00_536;
BgL_auxz00_536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1276z00zz__gstreamer_gstbufferz00, 
BINT(((long)3055)), BGl_string1281z00zz__gstreamer_gstbufferz00, BGl_string1282z00zz__gstreamer_gstbufferz00, BgL_oz00_298); 
FAILURE(BgL_auxz00_536,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_auxz00_532);} } 

}



/* &<@anonymous:1094> */
obj_t BGl_z62zc3z04anonymousza31094ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_299, obj_t BgL_oz00_300)
{
{ /* Llib/gstbuffer.scm 92 */
{ /* Llib/gstbuffer.scm 94 */
GstBuffer * BgL_arg1095z00_411;
BgL_arg1095z00_411 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_300)))->BgL_z42builtinz42); 
gst_buffer_unref(BgL_arg1095z00_411); 
return BUNSPEC;} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1107z00_46;obj_t BgL_arg1108z00_47;
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_v1071z00_60;
BgL_v1071z00_60 = 
create_vector(((long)8)); 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1124z00_61;
BgL_arg1124z00_61 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_proc1285z00zz__gstreamer_gstbufferz00, BGl_proc1284z00zz__gstreamer_gstbufferz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1283z00zz__gstreamer_gstbufferz00, 
CNST_TABLE_REF(((long)2))); 
VECTOR_SET(BgL_v1071z00_60,((long)0),BgL_arg1124z00_61); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1135z00_74;
BgL_arg1135z00_74 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1288z00zz__gstreamer_gstbufferz00, BGl_proc1287z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1286z00zz__gstreamer_gstbufferz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1071z00_60,((long)1),BgL_arg1135z00_74); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1146z00_87;
BgL_arg1146z00_87 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1290z00zz__gstreamer_gstbufferz00, BGl_proc1289z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1071z00_60,((long)2),BgL_arg1146z00_87); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1151z00_97;
BgL_arg1151z00_97 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1292z00zz__gstreamer_gstbufferz00, BGl_proc1291z00zz__gstreamer_gstbufferz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1071z00_60,((long)3),BgL_arg1151z00_97); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1157z00_107;
BgL_arg1157z00_107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc1294z00zz__gstreamer_gstbufferz00, BGl_proc1293z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1071z00_60,((long)4),BgL_arg1157z00_107); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1163z00_117;
BgL_arg1163z00_117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1296z00zz__gstreamer_gstbufferz00, BGl_proc1295z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1071z00_60,((long)5),BgL_arg1163z00_117); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1170z00_127;
BgL_arg1170z00_127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1298z00zz__gstreamer_gstbufferz00, BGl_proc1297z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1071z00_60,((long)6),BgL_arg1170z00_127); } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_arg1177z00_137;
BgL_arg1177z00_137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1300z00zz__gstreamer_gstbufferz00, BGl_proc1299z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1071z00_60,((long)7),BgL_arg1177z00_137); } 
BgL_arg1107z00_46 = BgL_v1071z00_60; } 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_v1072z00_147;
BgL_v1072z00_147 = 
create_vector(((long)6)); 
{ /* Llib/gstbuffer.scm 34 */
obj_t BgL_arg1188z00_148;
{ /* Llib/gstbuffer.scm 34 */
obj_t BgL_arg1191z00_149;
BgL_arg1191z00_149 = 
MAKE_YOUNG_PAIR(BGl_proc1301z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1188z00_148 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1191z00_149); } 
VECTOR_SET(BgL_v1072z00_147,((long)0),BgL_arg1188z00_148); } 
{ /* Llib/gstbuffer.scm 38 */
obj_t BgL_arg1198z00_160;
{ /* Llib/gstbuffer.scm 38 */
obj_t BgL_arg1199z00_161;
BgL_arg1199z00_161 = 
MAKE_YOUNG_PAIR(BGl_proc1302z00zz__gstreamer_gstbufferz00, BGl_proc1303z00zz__gstreamer_gstbufferz00); 
BgL_arg1198z00_160 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1199z00_161); } 
VECTOR_SET(BgL_v1072z00_147,((long)1),BgL_arg1198z00_160); } 
{ /* Llib/gstbuffer.scm 47 */
obj_t BgL_arg1209z00_184;
{ /* Llib/gstbuffer.scm 47 */
obj_t BgL_arg1210z00_185;
BgL_arg1210z00_185 = 
MAKE_YOUNG_PAIR(BGl_proc1304z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1209z00_184 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1210z00_185); } 
VECTOR_SET(BgL_v1072z00_147,((long)2),BgL_arg1209z00_184); } 
{ /* Llib/gstbuffer.scm 52 */
obj_t BgL_arg1216z00_196;
{ /* Llib/gstbuffer.scm 52 */
obj_t BgL_arg1222z00_197;
BgL_arg1222z00_197 = 
MAKE_YOUNG_PAIR(BGl_proc1305z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1216z00_196 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg1222z00_197); } 
VECTOR_SET(BgL_v1072z00_147,((long)3),BgL_arg1216z00_196); } 
{ /* Llib/gstbuffer.scm 57 */
obj_t BgL_arg1230z00_208;
{ /* Llib/gstbuffer.scm 57 */
obj_t BgL_arg1232z00_209;
BgL_arg1232z00_209 = 
MAKE_YOUNG_PAIR(BGl_proc1306z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1230z00_208 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1232z00_209); } 
VECTOR_SET(BgL_v1072z00_147,((long)4),BgL_arg1230z00_208); } 
{ /* Llib/gstbuffer.scm 62 */
obj_t BgL_arg1240z00_220;
{ /* Llib/gstbuffer.scm 62 */
obj_t BgL_arg1241z00_221;
BgL_arg1241z00_221 = 
MAKE_YOUNG_PAIR(BGl_proc1307z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1240z00_220 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg1241z00_221); } 
VECTOR_SET(BgL_v1072z00_147,((long)5),BgL_arg1240z00_220); } 
BgL_arg1108z00_47 = BgL_v1072z00_147; } 
return ( 
BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)15)), BGl_objectz00zz__objectz00, ((long)8093), BGl_proc1310z00zz__gstreamer_gstbufferz00, BGl_proc1309z00zz__gstreamer_gstbufferz00, BGl_z52gstzd2bufferzd2initzd2envz80zz__gstreamer_gstbufferz00, BGl_proc1308z00zz__gstreamer_gstbufferz00, BFALSE, BgL_arg1107z00_46, BgL_arg1108z00_47), BUNSPEC) ;} } 

}



/* &<@anonymous:1120> */
obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_329, obj_t BgL_new1053z00_330)
{
{ /* Llib/gstbuffer.scm 27 */
{ 
BgL_gstzd2bufferzd2_bglt BgL_auxz00_605;
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_330)))->BgL_z42builtinz42)=((GstBuffer *)
0L),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_330)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_605 = 
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_330); 
return 
((obj_t)BgL_auxz00_605);} } 

}



/* &lambda1112 */
BgL_gstzd2bufferzd2_bglt BGl_z62lambda1112z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_331)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
BgL_gstzd2bufferzd2_bglt BgL_new1052z00_413;
BgL_new1052z00_413 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 27 */
long BgL_arg1119z00_414;
{ /* Llib/gstbuffer.scm 27 */
long BgL_res1271z00_415;
BgL_res1271z00_415 = 
BGL_CLASS_INDEX(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BgL_arg1119z00_414 = BgL_res1271z00_415; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_413), BgL_arg1119z00_414); } 
return BgL_new1052z00_413;} } 

}



/* &lambda1109 */
BgL_gstzd2bufferzd2_bglt BGl_z62lambda1109z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_332, obj_t BgL_z42builtin1050z42_333, obj_t BgL_z42finaliza7er1051ze5_334)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
GstBuffer * BgL_z42builtin1050z42_416;
BgL_z42builtin1050z42_416 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_333); 
{ /* Llib/gstbuffer.scm 27 */
BgL_gstzd2bufferzd2_bglt BgL_new1063z00_417;
{ /* Llib/gstbuffer.scm 27 */
BgL_gstzd2bufferzd2_bglt BgL_new1062z00_418;
BgL_new1062z00_418 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 27 */
long BgL_arg1111z00_419;
{ /* Llib/gstbuffer.scm 27 */
long BgL_res1270z00_420;
BgL_res1270z00_420 = 
BGL_CLASS_INDEX(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BgL_arg1111z00_419 = BgL_res1270z00_420; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_418), BgL_arg1111z00_419); } 
BgL_new1063z00_417 = BgL_new1062z00_418; } 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1063z00_417))->BgL_z42builtinz42)=((GstBuffer *)BgL_z42builtin1050z42_416),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1063z00_417))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1051ze5_334),BUNSPEC); 
{ /* Llib/gstbuffer.scm 27 */
obj_t BgL_fun1110z00_421;
BgL_fun1110z00_421 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
PROCEDURE_ENTRY(BgL_fun1110z00_421)(BgL_fun1110z00_421, 
((obj_t)BgL_new1063z00_417), BEOA); } 
return BgL_new1063z00_417;} } } 

}



/* &<@anonymous:1261> */
obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_335, obj_t BgL_oz00_336)
{
{ /* Llib/gstbuffer.scm 59 */
{ /* Llib/gstbuffer.scm 62 */
BGL_LONGLONG_T BgL_tmpz00_630;
{ /* Llib/gstbuffer.scm 63 */
GstBuffer * BgL_arg1264z00_422;
BgL_arg1264z00_422 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_336)))->BgL_z42builtinz42); 
BgL_tmpz00_630 = 
GST_BUFFER_DURATION(BgL_arg1264z00_422); } 
return 
make_bllong(BgL_tmpz00_630);} } 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_337, obj_t BgL_oz00_338)
{
{ /* Llib/gstbuffer.scm 54 */
{ /* Llib/gstbuffer.scm 57 */
BGL_LONGLONG_T BgL_tmpz00_635;
{ /* Llib/gstbuffer.scm 58 */
GstBuffer * BgL_arg1236z00_423;
BgL_arg1236z00_423 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_338)))->BgL_z42builtinz42); 
BgL_tmpz00_635 = 
GST_BUFFER_DTS_OR_PTS(BgL_arg1236z00_423); } 
return 
make_bllong(BgL_tmpz00_635);} } 

}



/* &<@anonymous:1225> */
obj_t BGl_z62zc3z04anonymousza31225ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_339, obj_t BgL_oz00_340)
{
{ /* Llib/gstbuffer.scm 49 */
{ /* Llib/gstbuffer.scm 52 */
BGL_LONGLONG_T BgL_tmpz00_640;
{ /* Llib/gstbuffer.scm 53 */
GstBuffer * BgL_arg1228z00_424;
BgL_arg1228z00_424 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_340)))->BgL_z42builtinz42); 
BgL_tmpz00_640 = 
GST_BUFFER_PTS(BgL_arg1228z00_424); } 
return 
make_bllong(BgL_tmpz00_640);} } 

}



/* &<@anonymous:1212> */
obj_t BGl_z62zc3z04anonymousza31212ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_341, obj_t BgL_oz00_342)
{
{ /* Llib/gstbuffer.scm 44 */
{ /* Llib/gstbuffer.scm 47 */
BGL_LONGLONG_T BgL_tmpz00_645;
{ /* Llib/gstbuffer.scm 48 */
GstBuffer * BgL_arg1213z00_425;
BgL_arg1213z00_425 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_342)))->BgL_z42builtinz42); 
BgL_tmpz00_645 = 
GST_BUFFER_DTS(BgL_arg1213z00_425); } 
return 
make_bllong(BgL_tmpz00_645);} } 

}



/* &<@anonymous:1206> */
obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_343, obj_t BgL_oz00_344, obj_t BgL_vz00_345)
{
{ /* Llib/gstbuffer.scm 36 */
{ /* Llib/gstbuffer.scm 42 */
GstBuffer * BgL_arg1207z00_426;
BgL_arg1207z00_426 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_344)))->BgL_z42builtinz42); 
bgl_gst_buffer_set_string(BgL_arg1207z00_426, BgL_vz00_345); BUNSPEC; } 
return BgL_oz00_344;} 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_346, obj_t BgL_oz00_347)
{
{ /* Llib/gstbuffer.scm 36 */
{ /* Llib/gstbuffer.scm 39 */
GstBuffer * BgL_arg1204z00_427;
BgL_arg1204z00_427 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_347)))->BgL_z42builtinz42); 
return 
bgl_gst_buffer_get_string(BgL_arg1204z00_427);} } 

}



/* &<@anonymous:1193> */
obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_348, obj_t BgL_oz00_349)
{
{ /* Llib/gstbuffer.scm 31 */
{ /* Llib/gstbuffer.scm 34 */
long BgL_tmpz00_656;
{ /* Llib/gstbuffer.scm 35 */
GstBuffer * BgL_arg1195z00_428;
BgL_arg1195z00_428 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_349)))->BgL_z42builtinz42); 
BgL_tmpz00_656 = 
gst_buffer_get_size(BgL_arg1195z00_428); } 
return 
BINT(BgL_tmpz00_656);} } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_350, obj_t BgL_oz00_351, obj_t BgL_vz00_352)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_351), 
(int)(((long)5)), BgL_vz00_352);} 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_353, obj_t BgL_oz00_354)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_354), 
(int)(((long)5)));} 

}



/* &<@anonymous:1175> */
obj_t BGl_z62zc3z04anonymousza31175ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_355, obj_t BgL_oz00_356, obj_t BgL_vz00_357)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_356), 
(int)(((long)4)), BgL_vz00_357);} 

}



/* &<@anonymous:1174> */
obj_t BGl_z62zc3z04anonymousza31174ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_358, obj_t BgL_oz00_359)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_359), 
(int)(((long)4)));} 

}



/* &<@anonymous:1168> */
obj_t BGl_z62zc3z04anonymousza31168ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_360, obj_t BgL_oz00_361, obj_t BgL_vz00_362)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_361), 
(int)(((long)3)), BgL_vz00_362);} 

}



/* &<@anonymous:1167> */
obj_t BGl_z62zc3z04anonymousza31167ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_363, obj_t BgL_oz00_364)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_364), 
(int)(((long)3)));} 

}



/* &<@anonymous:1162> */
obj_t BGl_z62zc3z04anonymousza31162ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_365, obj_t BgL_oz00_366, obj_t BgL_vz00_367)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_366), 
(int)(((long)2)), BgL_vz00_367);} 

}



/* &<@anonymous:1161> */
obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_368, obj_t BgL_oz00_369)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_369), 
(int)(((long)2)));} 

}



/* &<@anonymous:1155> */
obj_t BGl_z62zc3z04anonymousza31155ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_370, obj_t BgL_oz00_371, obj_t BgL_vz00_372)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_371), 
(int)(((long)1)), BgL_vz00_372);} 

}



/* &<@anonymous:1154> */
obj_t BGl_z62zc3z04anonymousza31154ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_373, obj_t BgL_oz00_374)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_374), 
(int)(((long)1)));} 

}



/* &<@anonymous:1150> */
obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_375, obj_t BgL_oz00_376, obj_t BgL_vz00_377)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_376), 
(int)(((long)0)), BgL_vz00_377);} 

}



/* &<@anonymous:1149> */
obj_t BGl_z62zc3z04anonymousza31149ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_378, obj_t BgL_oz00_379)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_379), 
(int)(((long)0)));} 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_380)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1143 */
obj_t BGl_z62lambda1143z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_381, obj_t BgL_oz00_382, obj_t BgL_vz00_383)
{
{ /* Llib/gstbuffer.scm 27 */
return 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_382)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_383),BUNSPEC);} 

}



/* &lambda1142 */
obj_t BGl_z62lambda1142z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_384, obj_t BgL_oz00_385)
{
{ /* Llib/gstbuffer.scm 27 */
return 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_385)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1134> */
obj_t BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_386)
{
{ /* Llib/gstbuffer.scm 27 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1133 */
obj_t BGl_z62lambda1133z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_387, obj_t BgL_oz00_388, obj_t BgL_vz00_389)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
GstBuffer * BgL_vz00_432;
BgL_vz00_432 = 
FOREIGN_TO_COBJ(BgL_vz00_389); 
return 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_388)))->BgL_z42builtinz42)=((GstBuffer *)BgL_vz00_432),BUNSPEC);} } 

}



/* &lambda1132 */
obj_t BGl_z62lambda1132z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_390, obj_t BgL_oz00_391)
{
{ /* Llib/gstbuffer.scm 27 */
return 
void_star_to_obj(
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_391)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00()
{
{ /* Llib/gstbuffer.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(((long)352240077), 
BSTRING_TO_STRING(BGl_string1311z00zz__gstreamer_gstbufferz00));} 

}

#ifdef __cplusplus
}
#endif
