/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (4.4a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 09 Nov 2020 08:06:47 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4a/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_use.scm -o objs/obj_p/Eval/evaluate_use.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62usezd2ev_synchroniza7e1155z17zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62usezd2ev_prog21143zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
static obj_t BGl_z62use1130z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
static obj_t BGl_z62usezd2ev_hook1145zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62usezd2ev_withzd2handler1153z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62usezd2ev_unwindzd2protec1151z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62usezd2ev_global1135zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_bindzd2exit1149z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
static obj_t BGl_z62usezd2ev_goto1163zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_var1133zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62usezd2ev_labels1161zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_setlocal1147zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_useza2za2zz__evaluate_usez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_app1165zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
static obj_t BGl_z62usezd2ev_list1141zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_binder1157zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62usezd2ev_binder1159zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62usezd2ev_abs1167zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_litt1137zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_usez00();
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62usezd2ev_if1139zb0zz__evaluate_usez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_symbol1747z00zz__evaluate_usez00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_STRING( BGl_string1746z00zz__evaluate_usez00, BgL_bgl_string1746za700za7za7_1772za7, "use1130", 7 );
DEFINE_STRING( BGl_string1748z00zz__evaluate_usez00, BgL_bgl_string1748za700za7za7_1773za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1749z00zz__evaluate_usez00, BgL_bgl_string1749za700za7za7_1774za7, "/builddir/build/BUILD/bigloo-4.4a/runtime/Eval/evaluate_use.scm", 63 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__evaluate_usez00, BgL_bgl_za762use1130za762za7za7_1775z00, BGl_z62use1130z62zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1750z00zz__evaluate_usez00, BgL_bgl_string1750za700za7za7_1776za7, "&use", 4 );
DEFINE_STRING( BGl_string1751z00zz__evaluate_usez00, BgL_bgl_string1751za700za7za7_1777za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1753z00zz__evaluate_usez00, BgL_bgl_string1753za700za7za7_1778za7, "use", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_var11779z00, BGl_z62usezd2ev_var1133zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_glob1780z00, BGl_z62usezd2ev_global1135zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_litt1781z00, BGl_z62usezd2ev_litt1137zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_if111782z00, BGl_z62usezd2ev_if1139zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_list1783z00, BGl_z62usezd2ev_list1141zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_prog1784z00, BGl_z62usezd2ev_prog21143zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_hook1785z00, BGl_z62usezd2ev_hook1145zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_setl1786z00, BGl_z62usezd2ev_setlocal1147zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_bind1787z00, BGl_z62usezd2ev_bindzd2exit1149z62zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_unwi1788z00, BGl_z62usezd2ev_unwindzd2protec1151z62zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_with1789z00, BGl_z62usezd2ev_withzd2handler1153z62zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_sync1790z00, BGl_z62usezd2ev_synchroniza7e1155z17zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_bind1791z00, BGl_z62usezd2ev_binder1157zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_bind1792z00, BGl_z62usezd2ev_binder1159zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1771z00zz__evaluate_usez00, BgL_bgl_string1771za700za7za7_1793za7, "__evaluate_use", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_labe1794z00, BGl_z62usezd2ev_labels1161zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_goto1795z00, BGl_z62usezd2ev_goto1163zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_app11796z00, BGl_z62usezd2ev_app1165zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__evaluate_usez00, BgL_bgl_za762useza7d2ev_abs11797z00, BGl_z62usezd2ev_abs1167zb0zz__evaluate_usez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_usezd2envzd2zz__evaluate_usez00, BgL_bgl_za762useza762za7za7__eva1798z00, BGl_z62usez62zz__evaluate_usez00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_usez00) );
ADD_ROOT( (void *)(&BGl_symbol1747z00zz__evaluate_usez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_use.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"use*\" \"Eval/evaluate_use.scm\" 1826) \"BGl_useza2za2zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use1130\" \"Eval/evaluate_use.scm\" 1786) \"BGl_z62use1130z62zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"use\" \"Eval/evaluate_use.scm\" 1786) \"BGl_usez00zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use\" \"Eval/evaluate_use.scm\" 1786) \"BGl_z62usez62zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_abs1167\" \"Eval/evaluate_use.scm\" 3889) \"BGl_z62usezd2ev_abs1167zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_app1165\" \"Eval/evaluate_use.scm\" 3778) \"BGl_z62usezd2ev_app1165zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_goto1163\" \"Eval/evaluate_use.scm\" 3679) \"BGl_z62usezd2ev_goto1163zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_labels1161\" \"Eval/evaluate_use.scm\" 3474) \"BGl_z62usezd2ev_labels1161zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_binder1159\" \"Eval/evaluate_use.scm\" 3355) \"BGl_z62usezd2ev_binder1159zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_binder1157\" \"Eval/evaluate_use.scm\" 3236) \"BGl_z62usezd2ev_binder1157zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_synchronize1155\" \"Eval/evaluate_use.scm\" 3084) \"BGl_z62usezd2ev_synchroniza7e1155z17zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_with-handler1153\" \"Eval/evaluate_use.scm\" 2948) \"BGl_z62usezd2ev_withzd2handler1153z62zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_unwind-protec1151\" \"Eval/evaluate_use.scm\" 2814) \"BGl_z62usezd2ev_unwindzd2protec1151z62zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_bind-exit1149\" \"Eval/evaluate_use.scm\" 2700) \"BGl_z62usezd2ev_bindzd2exit1149z62zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_setlocal1147\" \"Eval/evaluate_use.scm\" 2537) \"BGl_z62usezd2ev_setlocal1147zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_hook1145\" \"Eval/evaluate_use.scm\" 2445) \"BGl_z62usezd2ev_hook1145zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_prog21143\" \"Eval/evaluate_use.scm\" 2337) \"BGl_z62usezd2ev_prog21143zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_list1141\" \"Eval/evaluate_use.scm\" 2238) \"BGl_z62usezd2ev_list1141zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_if1139\" \"Eval/evaluate_use.scm\" 2130) \"BGl_z62usezd2ev_if1139zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_litt1137\" \"Eval/evaluate_use.scm\" 2081) \"BGl_z62usezd2ev_litt1137zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_global1135\" \"Eval/evaluate_use.scm\" 2028) \"BGl_z62usezd2ev_global1135zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&use-ev_var1133\" \"Eval/evaluate_use.scm\" 1922) \"BGl_z62usezd2ev_var1133zb0zz__evaluate_usez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long BgL_checksumz00_2153, char * BgL_fromz00_2154)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_usez00(); 
BGl_cnstzd2initzd2zz__evaluate_usez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_usez00(); 
BGl_genericzd2initzd2zz__evaluate_usez00(); 
BGl_methodzd2initzd2zz__evaluate_usez00(); 
return 
BGl_profzd2initzd2zz__evaluate_usez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return ( 
BGl_symbol1747z00zz__evaluate_usez00 = 
bstring_to_symbol(BGl_string1746z00zz__evaluate_usez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return BUNSPEC;} 

}



/* use* */
obj_t BGl_useza2za2zz__evaluate_usez00(obj_t BgL_lz00_5, obj_t BgL_donez00_6)
{
{ /* Eval/evaluate_use.scm 64 */
BGl_useza2za2zz__evaluate_usez00:
if(
NULLP(BgL_lz00_5))
{ /* Eval/evaluate_use.scm 65 */
return BgL_donez00_6;}  else 
{ /* Eval/evaluate_use.scm 67 */
obj_t BgL_arg1240z00_1113;obj_t BgL_arg1241z00_1114;
BgL_arg1240z00_1113 = 
CDR(
((obj_t)BgL_lz00_5)); 
{ /* Eval/evaluate_use.scm 67 */
obj_t BgL_arg1244z00_1115;
BgL_arg1244z00_1115 = 
CAR(
((obj_t)BgL_lz00_5)); 
BgL_arg1241z00_1114 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_arg1244z00_1115), BgL_donez00_6); } 
{ 
obj_t BgL_donez00_2176;obj_t BgL_lz00_2175;
BgL_lz00_2175 = BgL_arg1240z00_1113; 
BgL_donez00_2176 = BgL_arg1241z00_1114; 
BgL_donez00_6 = BgL_donez00_2176; 
BgL_lz00_5 = BgL_lz00_2175; 
goto BGl_useza2za2zz__evaluate_usez00;} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_proc1745z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1746z00zz__evaluate_usez00);} 

}



/* &use1130 */
obj_t BGl_z62use1130z62zz__evaluate_usez00(obj_t BgL_envz00_2040, obj_t BgL_ez00_2041, obj_t BgL_donez00_2042)
{
{ /* Eval/evaluate_use.scm 62 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1747z00zz__evaluate_usez00, BGl_string1748z00zz__evaluate_usez00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2041)));} 

}



/* use */
BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt BgL_ez00_3, obj_t BgL_donez00_4)
{
{ /* Eval/evaluate_use.scm 62 */
{ /* Eval/evaluate_use.scm 62 */
obj_t BgL_method1131z00_1121;
{ /* Eval/evaluate_use.scm 62 */
obj_t BgL_res1666z00_1713;
{ /* Eval/evaluate_use.scm 62 */
long BgL_objzd2classzd2numz00_1678;
{ /* Eval/evaluate_use.scm 62 */
long BgL_res1656z00_1681;
BgL_res1656z00_1681 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_3)); 
BgL_objzd2classzd2numz00_1678 = BgL_res1656z00_1681; } 
{ /* Eval/evaluate_use.scm 62 */
obj_t BgL_arg1645z00_1679;
BgL_arg1645z00_1679 = 
PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00, 
(int)(((long)1))); 
{ /* Eval/evaluate_use.scm 62 */
int BgL_offsetz00_1683;
BgL_offsetz00_1683 = 
(int)(BgL_objzd2classzd2numz00_1678); 
{ /* Eval/evaluate_use.scm 62 */
long BgL_offsetz00_1684;
BgL_offsetz00_1684 = 
(
(long)(BgL_offsetz00_1683)-OBJECT_TYPE); 
{ /* Eval/evaluate_use.scm 62 */
long BgL_modz00_1685;
BgL_modz00_1685 = 
(BgL_offsetz00_1684 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_use.scm 62 */
long BgL_restz00_1687;
BgL_restz00_1687 = 
(BgL_offsetz00_1684 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_use.scm 62 */

{ /* Eval/evaluate_use.scm 62 */
obj_t BgL_bucketz00_1689;
BgL_bucketz00_1689 = 
VECTOR_REF(
((obj_t)BgL_arg1645z00_1679),BgL_modz00_1685); 
BgL_res1666z00_1713 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1689),BgL_restz00_1687); } } } } } } } } 
BgL_method1131z00_1121 = BgL_res1666z00_1713; } 
return 
PROCEDURE_ENTRY(BgL_method1131z00_1121)(BgL_method1131z00_1121, 
((obj_t)BgL_ez00_3), BgL_donez00_4, BEOA);} } 

}



/* &use */
obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_2043, obj_t BgL_ez00_2044, obj_t BgL_donez00_2045)
{
{ /* Eval/evaluate_use.scm 62 */
{ /* Eval/evaluate_use.scm 62 */
BgL_ev_exprz00_bglt BgL_auxz00_2212;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2044, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_use.scm 62 */
BgL_auxz00_2212 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2044)
; }  else 
{ 
obj_t BgL_auxz00_2216;
BgL_auxz00_2216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1749z00zz__evaluate_usez00, 
BINT(((long)1786)), BGl_string1750z00zz__evaluate_usez00, BGl_string1751z00zz__evaluate_usez00, BgL_ez00_2044); 
FAILURE(BgL_auxz00_2216,BFALSE,BFALSE);} 
return 
BGl_usez00zz__evaluate_usez00(BgL_auxz00_2212, BgL_donez00_2045);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1752z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1754z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1755z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1756z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1757z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc1758z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1759z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc1760z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc1761z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc1762z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc1763z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc1764z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc1765z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc1766z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc1767z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1768z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1769z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1770z00zz__evaluate_usez00, BGl_string1753z00zz__evaluate_usez00);} 

}



/* &use-ev_abs1167 */
obj_t BGl_z62usezd2ev_abs1167zb0zz__evaluate_usez00(obj_t BgL_envz00_2064, obj_t BgL_ez00_2065, obj_t BgL_donez00_2066)
{
{ /* Eval/evaluate_use.scm 139 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2065)))->BgL_bodyz00), BgL_donez00_2066);} 

}



/* &use-ev_app1165 */
obj_t BGl_z62usezd2ev_app1165zb0zz__evaluate_usez00(obj_t BgL_envz00_2067, obj_t BgL_ez00_2068, obj_t BgL_donez00_2069)
{
{ /* Eval/evaluate_use.scm 135 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2068)))->BgL_funz00), 
BGl_useza2za2zz__evaluate_usez00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2068)))->BgL_argsz00), BgL_donez00_2069));} 

}



/* &use-ev_goto1163 */
obj_t BGl_z62usezd2ev_goto1163zb0zz__evaluate_usez00(obj_t BgL_envz00_2070, obj_t BgL_ez00_2071, obj_t BgL_donez00_2072)
{
{ /* Eval/evaluate_use.scm 131 */
return 
BGl_useza2za2zz__evaluate_usez00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2071)))->BgL_argsz00), BgL_donez00_2072);} 

}



/* &use-ev_labels1161 */
obj_t BGl_z62usezd2ev_labels1161zb0zz__evaluate_usez00(obj_t BgL_envz00_2073, obj_t BgL_ez00_2074, obj_t BgL_donez00_2075)
{
{ /* Eval/evaluate_use.scm 124 */
{ 
obj_t BgL_lz00_2128;obj_t BgL_donez00_2129;
BgL_lz00_2128 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2074)))->BgL_valsz00); 
BgL_donez00_2129 = BgL_donez00_2075; 
BgL_recz00_2127:
if(
NULLP(BgL_lz00_2128))
{ /* Eval/evaluate_use.scm 127 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2074)))->BgL_bodyz00), BgL_donez00_2129);}  else 
{ /* Eval/evaluate_use.scm 129 */
obj_t BgL_arg1331z00_2130;obj_t BgL_arg1333z00_2131;
BgL_arg1331z00_2130 = 
CDR(
((obj_t)BgL_lz00_2128)); 
{ /* Eval/evaluate_use.scm 129 */
obj_t BgL_arg1335z00_2132;
{ /* Eval/evaluate_use.scm 129 */
obj_t BgL_pairz00_2133;
BgL_pairz00_2133 = 
CAR(
((obj_t)BgL_lz00_2128)); 
BgL_arg1335z00_2132 = 
CDR(BgL_pairz00_2133); } 
BgL_arg1333z00_2131 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_arg1335z00_2132), BgL_donez00_2129); } 
{ 
obj_t BgL_donez00_2264;obj_t BgL_lz00_2263;
BgL_lz00_2263 = BgL_arg1331z00_2130; 
BgL_donez00_2264 = BgL_arg1333z00_2131; 
BgL_donez00_2129 = BgL_donez00_2264; 
BgL_lz00_2128 = BgL_lz00_2263; 
goto BgL_recz00_2127;} } } } 

}



/* &use-ev_binder1159 */
obj_t BGl_z62usezd2ev_binder1159zb0zz__evaluate_usez00(obj_t BgL_envz00_2076, obj_t BgL_ez00_2077, obj_t BgL_donez00_2078)
{
{ /* Eval/evaluate_use.scm 120 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_2077)))->BgL_bodyz00), 
BGl_useza2za2zz__evaluate_usez00(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_2077)))->BgL_valsz00), BgL_donez00_2078));} 

}



/* &use-ev_binder1157 */
obj_t BGl_z62usezd2ev_binder1157zb0zz__evaluate_usez00(obj_t BgL_envz00_2079, obj_t BgL_ez00_2080, obj_t BgL_donez00_2081)
{
{ /* Eval/evaluate_use.scm 116 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_2080)))->BgL_bodyz00), 
BGl_useza2za2zz__evaluate_usez00(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_2080)))->BgL_valsz00), BgL_donez00_2081));} 

}



/* &use-ev_synchronize1155 */
obj_t BGl_z62usezd2ev_synchroniza7e1155z17zz__evaluate_usez00(obj_t BgL_envz00_2082, obj_t BgL_ez00_2083, obj_t BgL_donez00_2084)
{
{ /* Eval/evaluate_use.scm 112 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2083)))->BgL_mutexz00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2083)))->BgL_prelockz00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2083)))->BgL_bodyz00), BgL_donez00_2084)));} 

}



/* &use-ev_with-handler1153 */
obj_t BGl_z62usezd2ev_withzd2handler1153z62zz__evaluate_usez00(obj_t BgL_envz00_2085, obj_t BgL_ez00_2086, obj_t BgL_donez00_2087)
{
{ /* Eval/evaluate_use.scm 108 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2086)))->BgL_handlerz00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2086)))->BgL_bodyz00), BgL_donez00_2087));} 

}



/* &use-ev_unwind-protec1151 */
obj_t BGl_z62usezd2ev_unwindzd2protec1151z62zz__evaluate_usez00(obj_t BgL_envz00_2088, obj_t BgL_ez00_2089, obj_t BgL_donez00_2090)
{
{ /* Eval/evaluate_use.scm 104 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2089)))->BgL_ez00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2089)))->BgL_bodyz00), BgL_donez00_2090));} 

}



/* &use-ev_bind-exit1149 */
obj_t BGl_z62usezd2ev_bindzd2exit1149z62zz__evaluate_usez00(obj_t BgL_envz00_2091, obj_t BgL_ez00_2092, obj_t BgL_donez00_2093)
{
{ /* Eval/evaluate_use.scm 100 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2092)))->BgL_bodyz00), BgL_donez00_2093);} 

}



/* &use-ev_setlocal1147 */
obj_t BGl_z62usezd2ev_setlocal1147zb0zz__evaluate_usez00(obj_t BgL_envz00_2094, obj_t BgL_ez00_2095, obj_t BgL_donez00_2096)
{
{ /* Eval/evaluate_use.scm 95 */
{ /* Eval/evaluate_use.scm 96 */
obj_t BgL_donez00_2141;
BgL_donez00_2141 = BgL_donez00_2096; 
{ /* Eval/evaluate_use.scm 97 */
bool_t BgL_test1803z00_2303;
{ /* Eval/evaluate_use.scm 97 */
BgL_ev_varz00_bglt BgL_arg1281z00_2142;
BgL_arg1281z00_2142 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2095)))->BgL_vz00); 
BgL_test1803z00_2303 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_arg1281z00_2142), BgL_donez00_2141)); } 
if(BgL_test1803z00_2303)
{ /* Eval/evaluate_use.scm 97 */BFALSE; }  else 
{ /* Eval/evaluate_use.scm 97 */
BgL_ev_varz00_bglt BgL_arg1274z00_2143;
BgL_arg1274z00_2143 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2095)))->BgL_vz00); 
BgL_donez00_2141 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1274z00_2143), BgL_donez00_2141); } } 
{ /* Eval/evaluate_use.scm 98 */
BgL_ev_exprz00_bglt BgL_arg1282z00_2144;
BgL_arg1282z00_2144 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2095))))->BgL_ez00); 
return 
BGl_usez00zz__evaluate_usez00(BgL_arg1282z00_2144, BgL_donez00_2141);} } } 

}



/* &use-ev_hook1145 */
obj_t BGl_z62usezd2ev_hook1145zb0zz__evaluate_usez00(obj_t BgL_envz00_2097, obj_t BgL_ez00_2098, obj_t BgL_donez00_2099)
{
{ /* Eval/evaluate_use.scm 91 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_2098)))->BgL_ez00), BgL_donez00_2099);} 

}



/* &use-ev_prog21143 */
obj_t BGl_z62usezd2ev_prog21143zb0zz__evaluate_usez00(obj_t BgL_envz00_2100, obj_t BgL_ez00_2101, obj_t BgL_donez00_2102)
{
{ /* Eval/evaluate_use.scm 87 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2101)))->BgL_e1z00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2101)))->BgL_e2z00), BgL_donez00_2102));} 

}



/* &use-ev_list1141 */
obj_t BGl_z62usezd2ev_list1141zb0zz__evaluate_usez00(obj_t BgL_envz00_2103, obj_t BgL_ez00_2104, obj_t BgL_donez00_2105)
{
{ /* Eval/evaluate_use.scm 83 */
return 
BGl_useza2za2zz__evaluate_usez00(
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_2104)))->BgL_argsz00), BgL_donez00_2105);} 

}



/* &use-ev_if1139 */
obj_t BGl_z62usezd2ev_if1139zb0zz__evaluate_usez00(obj_t BgL_envz00_2106, obj_t BgL_ez00_2107, obj_t BgL_donez00_2108)
{
{ /* Eval/evaluate_use.scm 79 */
return 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2107)))->BgL_pz00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2107)))->BgL_tz00), 
BGl_usez00zz__evaluate_usez00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2107)))->BgL_ez00), BgL_donez00_2108)));} 

}



/* &use-ev_litt1137 */
obj_t BGl_z62usezd2ev_litt1137zb0zz__evaluate_usez00(obj_t BgL_envz00_2109, obj_t BgL_ez00_2110, obj_t BgL_donez00_2111)
{
{ /* Eval/evaluate_use.scm 76 */
return BgL_donez00_2111;} 

}



/* &use-ev_global1135 */
obj_t BGl_z62usezd2ev_global1135zb0zz__evaluate_usez00(obj_t BgL_envz00_2112, obj_t BgL_varz00_2113, obj_t BgL_donez00_2114)
{
{ /* Eval/evaluate_use.scm 73 */
return BgL_donez00_2114;} 

}



/* &use-ev_var1133 */
obj_t BGl_z62usezd2ev_var1133zb0zz__evaluate_usez00(obj_t BgL_envz00_2115, obj_t BgL_varz00_2116, obj_t BgL_donez00_2117)
{
{ /* Eval/evaluate_use.scm 69 */
{ /* Eval/evaluate_use.scm 70 */
obj_t BgL_donez00_2152;
BgL_donez00_2152 = BgL_donez00_2117; 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_2116)), BgL_donez00_2152)))
{ /* Eval/evaluate_use.scm 70 */BFALSE; }  else 
{ /* Eval/evaluate_use.scm 70 */
BgL_donez00_2152 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_2116)), BgL_donez00_2152); } 
return BgL_donez00_2152;} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
{
{ /* Eval/evaluate_use.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046386), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)37115357), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)70989162), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135277364), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218115), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267996), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519875), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251315035), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936798), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439352636), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453938973), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422032), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967910), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68572481), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)420334581), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057945), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155874), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198621048), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309694), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519474), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460263341), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44274296), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614573), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927845), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151379), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190906089), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540733), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988972), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942106), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220647683), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147628), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007030), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345319), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492753248), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872251), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505900559), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string1771z00zz__evaluate_usez00));} 

}

#ifdef __cplusplus
}
#endif
