/*===========================================================================*/
/*   (Llib/pbackend.scm)                                                     */
/*   Bigloo (4.4a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 09 Nov 2020 08:06:47 AM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4a/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4a/lib/bigloo/4.4a -copt -fPIC -copt -IPosix Llib/pbackend.scm -o objs/objs_s/pbackend.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadzd2backendzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadzd2backendzd2_bglt;

typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_pthreadzd2backendzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_pthreadzd2backendzd2_bglt;


static BgL_threadz00_bglt BGl_z62tbzd2makezd2threadzd2pthre1063zb0zz__pth_backendz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();
extern void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
extern obj_t bglpth_current_thread();
static obj_t BGl_objectzd2initzd2zz__pth_backendz00();
BGL_IMPORT obj_t BGl_currentzd2threadzd2backendzd2setz12zc0zz__threadz00(BgL_threadzd2backendzd2_bglt);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_backendz00();
static obj_t BGl_z62pthreadzd2setupzd2backendz12z70zz__pth_backendz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2backendzd2zz__threadz00;
static BgL_pthreadzd2backendzd2_bglt BGl_z62lambda1080z62zz__pth_backendz00(obj_t, obj_t);
static BgL_pthreadzd2backendzd2_bglt BGl_z62lambda1082z62zz__pth_backendz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__pth_backendz00();
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_defaultzd2threadzd2backendzd2setz12zc0zz__threadz00(BgL_threadzd2backendzd2_bglt);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
static obj_t BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__pth_backendz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pth_backendz00();
static obj_t BGl_z62getzd2pthreadzd2backendz62zz__pth_backendz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_backendz00();
extern obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62tbzd2currentzd2threadzd2pt1065zb0zz__pth_backendz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
BGL_EXPORTED_DECL obj_t BGl_getzd2pthreadzd2backendz00zz__pth_backendz00();
static obj_t BGl_z62zc3z04anonymousza31084ze3ze5zz__pth_backendz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__pth_backendz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_backendz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_backendz00();
BGL_EXPORTED_DEF obj_t BGl_pthreadzd2backendzd2zz__pth_backendz00 = BUNSPEC;
static obj_t __cnst[ 3 ] ;


BGL_IMPORT obj_t BGl_tbzd2currentzd2threadzd2envzd2zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pthreadzd2setupzd2backendz12zd2envzc0zz__pth_backendz00, BgL_bgl_za762pthreadza7d2set1144z00, BGl_z62pthreadzd2setupzd2backendz12z70zz__pth_backendz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1113z00zz__pth_backendz00, BgL_bgl_string1113za700za7za7_1145za7, "pthread", 7 );
DEFINE_STRING( BGl_string1114z00zz__pth_backendz00, BgL_bgl_string1114za700za7za7_1146za7, "/builddir/build/BUILD/bigloo-4.4a/api/pthread/src/Llib/pbackend.scm", 67 );
DEFINE_STRING( BGl_string1115z00zz__pth_backendz00, BgL_bgl_string1115za700za7za7_1147za7, "pthread-setup-backend!", 22 );
DEFINE_STRING( BGl_string1116z00zz__pth_backendz00, BgL_bgl_string1116za700za7za7_1148za7, "thread-backend", 14 );
DEFINE_STRING( BGl_string1120z00zz__pth_backendz00, BgL_bgl_string1120za700za7za7_1149za7, "", 0 );
DEFINE_STRING( BGl_string1121z00zz__pth_backendz00, BgL_bgl_string1121za700za7za7_1150za7, "&<@anonymous:1084>", 18 );
DEFINE_STRING( BGl_string1122z00zz__pth_backendz00, BgL_bgl_string1122za700za7za7_1151za7, "pthread-backend", 15 );
DEFINE_STRING( BGl_string1123z00zz__pth_backendz00, BgL_bgl_string1123za700za7za7_1152za7, "&lambda1080", 11 );
DEFINE_STRING( BGl_string1124z00zz__pth_backendz00, BgL_bgl_string1124za700za7za7_1153za7, "bstring", 7 );
DEFINE_STRING( BGl_string1126z00zz__pth_backendz00, BgL_bgl_string1126za700za7za7_1154za7, "tb-make-thread", 14 );
DEFINE_STRING( BGl_string1128z00zz__pth_backendz00, BgL_bgl_string1128za700za7za7_1155za7, "tb-current-thread", 17 );
DEFINE_STRING( BGl_string1129z00zz__pth_backendz00, BgL_bgl_string1129za700za7za7_1156za7, "&tb-current-thread-pt1065", 25 );
DEFINE_STRING( BGl_string1130z00zz__pth_backendz00, BgL_bgl_string1130za700za7za7_1157za7, "tb-make-thread-pthre1063", 24 );
DEFINE_STRING( BGl_string1131z00zz__pth_backendz00, BgL_bgl_string1131za700za7za7_1158za7, "procedure", 9 );
DEFINE_STRING( BGl_string1132z00zz__pth_backendz00, BgL_bgl_string1132za700za7za7_1159za7, "tb-make-thread-pthre1063:Wrong number of arguments", 50 );
DEFINE_STRING( BGl_string1133z00zz__pth_backendz00, BgL_bgl_string1133za700za7za7_1160za7, "&tb-make-thread-pthre1063", 25 );
DEFINE_STRING( BGl_string1134z00zz__pth_backendz00, BgL_bgl_string1134za700za7za7_1161za7, "__pth_backend", 13 );
DEFINE_STRING( BGl_string1135z00zz__pth_backendz00, BgL_bgl_string1135za700za7za7_1162za7, "(funcall fun1085 fun1085 new1057) __pth_backend pthread-backend ", 64 );
BGL_IMPORT obj_t BGl_tbzd2makezd2threadzd2envzd2zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2pthreadzd2backendzd2envzd2zz__pth_backendz00, BgL_bgl_za762getza7d2pthread1163z00, BGl_z62getzd2pthreadzd2backendz62zz__pth_backendz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1117z00zz__pth_backendz00, BgL_bgl_za762za7c3za704anonymo1164za7, BGl_z62zc3z04anonymousza31084ze3ze5zz__pth_backendz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1118z00zz__pth_backendz00, BgL_bgl_za762lambda1082za7621165z00, BGl_z62lambda1082z62zz__pth_backendz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1119z00zz__pth_backendz00, BgL_bgl_za762lambda1080za7621166z00, BGl_z62lambda1080z62zz__pth_backendz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1125z00zz__pth_backendz00, BgL_bgl_za762tbza7d2makeza7d2t1167za7, BGl_z62tbzd2makezd2threadzd2pthre1063zb0zz__pth_backendz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1127z00zz__pth_backendz00, BgL_bgl_za762tbza7d2currentza71168za7, BGl_z62tbzd2currentzd2threadzd2pt1065zb0zz__pth_backendz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_backendz00) );
ADD_ROOT( (void *)(&BGl_pthreadzd2backendzd2zz__pth_backendz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long BgL_checksumz00_152, char * BgL_fromz00_153)
{
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_152, ((long)354908892)))), BgL_checksumz00_152))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_backendz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_backendz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__pth_backendz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_backendz00(); 
BGl_cnstzd2initzd2zz__pth_backendz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_backendz00(); 
BGl_objectzd2initzd2zz__pth_backendz00(); 
BGl_methodzd2initzd2zz__pth_backendz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_backendz00();}  else 
{ 
return BUNSPEC;} }  else 
{ 
char * BgL_sz00_156;
BgL_sz00_156 = 
"__pth_backend"; 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(BgL_sz00_156, BgL_fromz00_153);} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pth_backend"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pth_backend"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pth_backend"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pth_backend"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pth_backend"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pth_backend"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
{ /* Llib/pbackend.scm 15 */
obj_t BgL_cportz00_122;
{ /* Llib/pbackend.scm 15 */
obj_t BgL_stringz00_130;
BgL_stringz00_130 = BGl_string1135z00zz__pth_backendz00; 
{ /* Llib/pbackend.scm 15 */
obj_t BgL_startz00_131;
BgL_startz00_131 = 
BINT(((long)0)); 
{ /* Llib/pbackend.scm 15 */
obj_t BgL_endz00_132;
BgL_endz00_132 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_130))); 
{ /* Llib/pbackend.scm 15 */

BgL_cportz00_122 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_130, BgL_startz00_131, BgL_endz00_132); } } } } 
{ 
long BgL_iz00_123;
BgL_iz00_123 = ((long)2); 
BgL_loopz00_124:
if(
(BgL_iz00_123==((long)-1)))
{ /* Llib/pbackend.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pbackend.scm 15 */
{ /* Llib/pbackend.scm 15 */
obj_t BgL_arg1137z00_126;
{ /* Llib/pbackend.scm 15 */

{ /* Llib/pbackend.scm 15 */
obj_t BgL_locationz00_128;
BgL_locationz00_128 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pbackend.scm 15 */

BgL_arg1137z00_126 = 
BGl_readz00zz__readerz00(BgL_cportz00_122, BgL_locationz00_128); } } } 
{ /* Llib/pbackend.scm 15 */
int BgL_tmpz00_190;
BgL_tmpz00_190 = 
(int)(BgL_iz00_123); 
CNST_TABLE_SET(BgL_tmpz00_190, BgL_arg1137z00_126); } } 
{ /* Llib/pbackend.scm 15 */
int BgL_auxz00_129;
BgL_auxz00_129 = 
(int)(
(BgL_iz00_123-((long)1))); 
{ 
long BgL_iz00_195;
BgL_iz00_195 = 
(long)(BgL_auxz00_129); 
BgL_iz00_123 = BgL_iz00_195; 
goto BgL_loopz00_124;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00 = BUNSPEC; 
return BUNSPEC;} 

}



/* pthread-setup-backend! */
BGL_EXPORTED_DEF obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 34 */
{ /* Llib/pbackend.scm 38 */
BgL_pthreadzd2backendzd2_bglt BgL_new1055z00_15;
{ /* Llib/pbackend.scm 38 */
BgL_pthreadzd2backendzd2_bglt BgL_new1054z00_16;
BgL_new1054z00_16 = 
((BgL_pthreadzd2backendzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadzd2backendzd2_bgl) ))); 
{ /* Llib/pbackend.scm 38 */
long BgL_arg1069z00_17;
{ /* Llib/pbackend.scm 38 */
long BgL_res1087z00_54;
BgL_res1087z00_54 = 
BGL_CLASS_INDEX(BGl_pthreadzd2backendzd2zz__pth_backendz00); 
BgL_arg1069z00_17 = BgL_res1087z00_54; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_16), BgL_arg1069z00_17); } 
BgL_new1055z00_15 = BgL_new1054z00_16; } 
((((BgL_threadzd2backendzd2_bglt)COBJECT(
((BgL_threadzd2backendzd2_bglt)BgL_new1055z00_15)))->BgL_namez00)=((obj_t)BGl_string1113z00zz__pth_backendz00),BUNSPEC); 
BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00 = 
((obj_t)BgL_new1055z00_15); } 
{ /* Llib/pbackend.scm 39 */
BgL_threadzd2backendzd2_bglt BgL_auxz00_205;
{ /* Llib/pbackend.scm 39 */
obj_t BgL_aux1095z00_93;
BgL_aux1095z00_93 = BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00; 
if(
BGl_isazf3zf3zz__objectz00(BgL_aux1095z00_93, BGl_threadzd2backendzd2zz__threadz00))
{ /* Llib/pbackend.scm 39 */
BgL_auxz00_205 = 
((BgL_threadzd2backendzd2_bglt)BgL_aux1095z00_93)
; }  else 
{ 
obj_t BgL_auxz00_209;
BgL_auxz00_209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)1853)), BGl_string1115z00zz__pth_backendz00, BGl_string1116z00zz__pth_backendz00, BgL_aux1095z00_93); 
FAILURE(BgL_auxz00_209,BFALSE,BFALSE);} } 
BGl_defaultzd2threadzd2backendzd2setz12zc0zz__threadz00(BgL_auxz00_205); } 
{ /* Llib/pbackend.scm 40 */
obj_t BgL_arg1070z00_18;
BgL_arg1070z00_18 = BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00; 
{ /* Llib/pbackend.scm 40 */
BgL_threadzd2backendzd2_bglt BgL_auxz00_214;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1070z00_18, BGl_threadzd2backendzd2zz__threadz00))
{ /* Llib/pbackend.scm 40 */
BgL_auxz00_214 = 
((BgL_threadzd2backendzd2_bglt)BgL_arg1070z00_18)
; }  else 
{ 
obj_t BgL_auxz00_218;
BgL_auxz00_218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)1924)), BGl_string1115z00zz__pth_backendz00, BGl_string1116z00zz__pth_backendz00, BgL_arg1070z00_18); 
FAILURE(BgL_auxz00_218,BFALSE,BFALSE);} 
return 
BGl_currentzd2threadzd2backendzd2setz12zc0zz__threadz00(BgL_auxz00_214);} } } 

}



/* &pthread-setup-backend! */
obj_t BGl_z62pthreadzd2setupzd2backendz12z70zz__pth_backendz00(obj_t BgL_envz00_69)
{
{ /* Llib/pbackend.scm 34 */
return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* get-pthread-backend */
BGL_EXPORTED_DEF obj_t BGl_getzd2pthreadzd2backendz00zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 45 */
return BGl_za2pthreadzd2backendza2zd2zz__pth_backendz00;} 

}



/* &get-pthread-backend */
obj_t BGl_z62getzd2pthreadzd2backendz62zz__pth_backendz00(obj_t BgL_envz00_70)
{
{ /* Llib/pbackend.scm 45 */
return 
BGl_getzd2pthreadzd2backendz00zz__pth_backendz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
{ /* Llib/pbackend.scm 21 */
obj_t BgL_arg1075z00_22;obj_t BgL_arg1079z00_23;
{ /* Llib/pbackend.scm 21 */
obj_t BgL_v1060z00_34;
BgL_v1060z00_34 = 
create_vector(((long)0)); 
BgL_arg1075z00_22 = BgL_v1060z00_34; } 
{ /* Llib/pbackend.scm 21 */
obj_t BgL_v1061z00_35;
BgL_v1061z00_35 = 
create_vector(((long)0)); 
BgL_arg1079z00_23 = BgL_v1061z00_35; } 
return ( 
BGl_pthreadzd2backendzd2zz__pth_backendz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_threadzd2backendzd2zz__threadz00, ((long)58955), BGl_proc1119z00zz__pth_backendz00, BGl_proc1118z00zz__pth_backendz00, BFALSE, BGl_proc1117z00zz__pth_backendz00, BFALSE, BgL_arg1075z00_22, BgL_arg1079z00_23), BUNSPEC) ;} } 

}



/* &<@anonymous:1084> */
obj_t BGl_z62zc3z04anonymousza31084ze3ze5zz__pth_backendz00(obj_t BgL_envz00_74, obj_t BgL_new1053z00_75)
{
{ /* Llib/pbackend.scm 21 */
{ 
BgL_pthreadzd2backendzd2_bglt BgL_auxz00_230;
{ /* Llib/pbackend.scm 21 */
BgL_pthreadzd2backendzd2_bglt BgL_new1053z00_135;
if(
BGl_isazf3zf3zz__objectz00(BgL_new1053z00_75, BGl_pthreadzd2backendzd2zz__pth_backendz00))
{ /* Llib/pbackend.scm 21 */
BgL_new1053z00_135 = 
((BgL_pthreadzd2backendzd2_bglt)BgL_new1053z00_75); }  else 
{ 
obj_t BgL_auxz00_234;
BgL_auxz00_234 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)1057)), BGl_string1121z00zz__pth_backendz00, BGl_string1122z00zz__pth_backendz00, BgL_new1053z00_75); 
FAILURE(BgL_auxz00_234,BFALSE,BFALSE);} 
((((BgL_threadzd2backendzd2_bglt)COBJECT(
((BgL_threadzd2backendzd2_bglt)BgL_new1053z00_135)))->BgL_namez00)=((obj_t)BGl_string1120z00zz__pth_backendz00),BUNSPEC); 
BgL_auxz00_230 = BgL_new1053z00_135; } 
return 
((obj_t)BgL_auxz00_230);} } 

}



/* &lambda1082 */
BgL_pthreadzd2backendzd2_bglt BGl_z62lambda1082z62zz__pth_backendz00(obj_t BgL_envz00_76)
{
{ /* Llib/pbackend.scm 21 */
{ /* Llib/pbackend.scm 21 */
BgL_pthreadzd2backendzd2_bglt BgL_new1052z00_136;
BgL_new1052z00_136 = 
((BgL_pthreadzd2backendzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadzd2backendzd2_bgl) ))); 
{ /* Llib/pbackend.scm 21 */
long BgL_arg1083z00_137;
{ /* Llib/pbackend.scm 21 */
long BgL_res1089z00_138;
BgL_res1089z00_138 = 
BGL_CLASS_INDEX(BGl_pthreadzd2backendzd2zz__pth_backendz00); 
BgL_arg1083z00_137 = BgL_res1089z00_138; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_136), BgL_arg1083z00_137); } 
return BgL_new1052z00_136;} } 

}



/* &lambda1080 */
BgL_pthreadzd2backendzd2_bglt BGl_z62lambda1080z62zz__pth_backendz00(obj_t BgL_envz00_77, obj_t BgL_name1051z00_78)
{
{ /* Llib/pbackend.scm 21 */
{ /* Llib/pbackend.scm 21 */
obj_t BgL_name1051z00_139;
if(
STRINGP(BgL_name1051z00_78))
{ /* Llib/pbackend.scm 21 */
BgL_name1051z00_139 = BgL_name1051z00_78; }  else 
{ 
obj_t BgL_auxz00_247;
BgL_auxz00_247 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)1057)), BGl_string1123z00zz__pth_backendz00, BGl_string1124z00zz__pth_backendz00, BgL_name1051z00_78); 
FAILURE(BgL_auxz00_247,BFALSE,BFALSE);} 
{ /* Llib/pbackend.scm 21 */
BgL_pthreadzd2backendzd2_bglt BgL_new1059z00_140;
{ /* Llib/pbackend.scm 21 */
BgL_pthreadzd2backendzd2_bglt BgL_new1058z00_141;
BgL_new1058z00_141 = 
((BgL_pthreadzd2backendzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadzd2backendzd2_bgl) ))); 
{ /* Llib/pbackend.scm 21 */
long BgL_arg1081z00_142;
{ /* Llib/pbackend.scm 21 */
long BgL_res1088z00_143;
BgL_res1088z00_143 = 
BGL_CLASS_INDEX(BGl_pthreadzd2backendzd2zz__pth_backendz00); 
BgL_arg1081z00_142 = BgL_res1088z00_143; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_141), BgL_arg1081z00_142); } 
BgL_new1059z00_140 = BgL_new1058z00_141; } 
((((BgL_threadzd2backendzd2_bglt)COBJECT(
((BgL_threadzd2backendzd2_bglt)BgL_new1059z00_140)))->BgL_namez00)=((obj_t)BgL_name1051z00_139),BUNSPEC); 
return BgL_new1059z00_140;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tbzd2makezd2threadzd2envzd2zz__threadz00, BGl_pthreadzd2backendzd2zz__pth_backendz00, BGl_proc1125z00zz__pth_backendz00, BGl_string1126z00zz__pth_backendz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tbzd2currentzd2threadzd2envzd2zz__threadz00, BGl_pthreadzd2backendzd2zz__pth_backendz00, BGl_proc1127z00zz__pth_backendz00, BGl_string1128z00zz__pth_backendz00);} 

}



/* &tb-current-thread-pt1065 */
obj_t BGl_z62tbzd2currentzd2threadzd2pt1065zb0zz__pth_backendz00(obj_t BgL_envz00_81, obj_t BgL_tbz00_82)
{
{ /* Llib/pbackend.scm 59 */
{ /* Llib/pbackend.scm 60 */
BgL_pthreadzd2backendzd2_bglt BgL_tbz00_144;
if(
BGl_isazf3zf3zz__objectz00(BgL_tbz00_82, BGl_pthreadzd2backendzd2zz__pth_backendz00))
{ /* Llib/pbackend.scm 60 */
BgL_tbz00_144 = 
((BgL_pthreadzd2backendzd2_bglt)BgL_tbz00_82); }  else 
{ 
obj_t BgL_auxz00_262;
BgL_auxz00_262 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)2832)), BGl_string1129z00zz__pth_backendz00, BGl_string1122z00zz__pth_backendz00, BgL_tbz00_82); 
FAILURE(BgL_auxz00_262,BFALSE,BFALSE);} 
return 
bglpth_current_thread();} } 

}



/* &tb-make-thread-pthre1063 */
BgL_threadz00_bglt BGl_z62tbzd2makezd2threadzd2pthre1063zb0zz__pth_backendz00(obj_t BgL_envz00_83, obj_t BgL_tbz00_84, obj_t BgL_bodyz00_85, obj_t BgL_namez00_86)
{
{ /* Llib/pbackend.scm 51 */
{ /* Llib/pbackend.scm 52 */
BgL_pthreadzd2backendzd2_bglt BgL_tbz00_145;
if(
BGl_isazf3zf3zz__objectz00(BgL_tbz00_84, BGl_pthreadzd2backendzd2zz__pth_backendz00))
{ /* Llib/pbackend.scm 52 */
BgL_tbz00_145 = 
((BgL_pthreadzd2backendzd2_bglt)BgL_tbz00_84); }  else 
{ 
obj_t BgL_auxz00_270;
BgL_auxz00_270 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)2491)), BGl_string1133z00zz__pth_backendz00, BGl_string1122z00zz__pth_backendz00, BgL_tbz00_84); 
FAILURE(BgL_auxz00_270,BFALSE,BFALSE);} 
{ /* Llib/pbackend.scm 52 */
BgL_pthreadz00_bglt BgL_new1057z00_146;
{ /* Llib/pbackend.scm 54 */
BgL_pthreadz00_bglt BgL_new1056z00_147;
BgL_new1056z00_147 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pbackend.scm 54 */
long BgL_arg1086z00_148;
{ /* Llib/pbackend.scm 54 */
long BgL_res1090z00_149;
BgL_res1090z00_149 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1086z00_148 = BgL_res1090z00_149; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_147), BgL_arg1086z00_148); } 
BgL_new1057z00_146 = BgL_new1056z00_147; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1057z00_146)))->BgL_namez00)=((obj_t)BgL_namez00_86),BUNSPEC); 
{ 
obj_t BgL_auxz00_280;
if(
PROCEDUREP(BgL_bodyz00_85))
{ /* Llib/pbackend.scm 53 */
BgL_auxz00_280 = BgL_bodyz00_85
; }  else 
{ 
obj_t BgL_auxz00_283;
BgL_auxz00_283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)2519)), BGl_string1130z00zz__pth_backendz00, BGl_string1131z00zz__pth_backendz00, BgL_bodyz00_85); 
FAILURE(BgL_auxz00_283,BFALSE,BFALSE);} 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1057z00_146))->BgL_bodyz00)=((obj_t)BgL_auxz00_280),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1057z00_146))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1057z00_146))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1057z00_146))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1057z00_146))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/pbackend.scm 52 */
obj_t BgL_fun1085z00_150;
BgL_fun1085z00_150 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
{ /* Llib/pbackend.scm 52 */
obj_t BgL_funz00_151;
if(
PROCEDUREP(BgL_fun1085z00_150))
{ /* Llib/pbackend.scm 52 */
BgL_funz00_151 = BgL_fun1085z00_150; }  else 
{ 
obj_t BgL_auxz00_296;
BgL_auxz00_296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1114z00zz__pth_backendz00, 
BINT(((long)2491)), BGl_string1130z00zz__pth_backendz00, BGl_string1131z00zz__pth_backendz00, BgL_fun1085z00_150); 
FAILURE(BgL_auxz00_296,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_151, ((long)1)))
{ /* Llib/pbackend.scm 52 */
PROCEDURE_ENTRY(BgL_funz00_151)(BgL_fun1085z00_150, 
((obj_t)BgL_new1057z00_146), BEOA); }  else 
{ 
obj_t BgL_auxz00_307;
BgL_auxz00_307 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BGl_string1132z00zz__pth_backendz00,BgL_auxz00_307,BgL_funz00_151);} } } 
return 
((BgL_threadz00_bglt)BgL_new1057z00_146);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_backendz00()
{
{ /* Llib/pbackend.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)83184798), 
BSTRING_TO_STRING(BGl_string1134z00zz__pth_backendz00));} 

}

#ifdef __cplusplus
}
#endif
